#
# spec file for package knavalbattle
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           knavalbattle
BuildRequires:  libkdegames-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kio-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  knewstuff-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  update-desktop-files
Summary:        Battleship game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Other
Url:            http://www.kde.org
Version:        16.08.1
Release:        0
Source0:        knavalbattle-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       kbattleship = %{version}
Obsoletes:      kbattleship < %{version}
Provides:       navalbattle = %{version}
Obsoletes:      navalbattle < %{version}

%description
KBatteship is a KDE implentation of the popular game "Battleship" where
you have to try to sink the opponents ships. The game can also be
played with friends online via the internet.


%prep
%setup -q -n knavalbattle-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.knavalbattle    Game BoardGame

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/knavalbattle
%{_kf5_applicationsdir}/org.kde.knavalbattle.desktop
%{_kf5_htmldir}/en/knavalbattle/
%{_kf5_iconsdir}/hicolor/*/apps/knavalbattle.*
%{_kf5_servicesdir}/knavalbattle.protocol
%{_kf5_appsdir}/knavalbattle/
%dir %{_kf5_appsdir}/kconf_update
%{_kf5_appsdir}/kconf_update/knavalbattle.upd
%_datadir/kxmlgui5/knavalbattle/

%changelog
